Skip to main content
GET
/
arbitrage-bets
Get arbitrage betting opportunities
curl --request GET \
  --url https://api.odds-api.io/v3/arbitrage-bets
import requests

url = "https://api.odds-api.io/v3/arbitrage-bets"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.odds-api.io/v3/arbitrage-bets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "event": {
      "away": "<string>",
      "date": "<string>",
      "home": "<string>",
      "league": "<string>",
      "sport": "<string>"
    },
    "eventId": 123,
    "id": "<string>",
    "impliedProbability": 123,
    "legs": [
      {
        "bookmaker": "<string>",
        "bookmakerFixtureId": "<string>",
        "directLink": "<string>",
        "href": "<string>",
        "label": "<string>",
        "odds": "0",
        "side": "<string>"
      }
    ],
    "market": {
      "hdp": 123,
      "label": "<string>",
      "name": "<string>"
    },
    "optimalStakes": [
      {
        "bookmaker": "<string>",
        "potentialReturn": 123,
        "side": "<string>",
        "stake": 123
      }
    ],
    "profitMargin": 123,
    "totalStake": 123,
    "updatedAt": "<string>"
  }
]
{
"error": "Error message"
}
{
"error": "Error message"
}
{
"error": "Error message"
}
{
"error": "Error message"
}

Query Parameters

apiKey
string
required

API key for authentication

bookmakers
string
required

Comma-separated list of bookmakers (e.g. Bet365,SingBet)

limit
integer

Maximum number of results (default 50, max 500)

includeEventDetails
boolean

Include event details

Response

OK

event
object

Only included if includeEventDetails=true

eventId
integer
id
string
impliedProbability
number
legs
object[]
market
object
optimalStakes
object[]
profitMargin
number
totalStake
number
updatedAt
string